Subject: bug#46402: Cuirass rebuilds the same packae multiple times

From: Mathieu Othacehe <[email-masked]>
Date: Tue, 09 Feb 2021 16:42:46 +0100

Hello Julien,

> here is an example: https://ci.guix.gnu.org/build/287478/details and
> https://ci.guix.gnu.org/build/287476/details are being built at the
> same time, and the logs currently show they are both running the test
> phase of the php package.

Thanks for the report. This problem has been briefly discussed
yesterday. It has been introduced by the new remote building mechanism
in Cuirass. Hydra solves it by breaking each build into buildsteps
corresponding to the derivation inputs.

The buildsteps are then submitted to the workers in a logical order. I
proposed to introduce a similar mechanism in Cuirass but Ludo expressed
doubts. Ludo do you think this problem could be solved otherwise?

Thanks,

Mathieu